divert(-1)
# this hack will 
#   - prevent usual canonicalization
#   - define a Class {NoSmart}
#   - add some rules to canonicalize adresses to the domains in {NoSmart}
#
# the intention is to speed up accepting mail to adresses, which are not
# permanently reachable. 
# Example1:
#  you bring up your dialup-line only for several times a day to
#  deliver your mail. so usually your DNS will not be able to resolve the
#  adresses 
# Example2:
#  the machine from Example1 is acting as (mail-)gateway for a local net.
#  all other machines in your local net use it as smarthost.
#  mail to adresses, which cannot be verified by DNS will not leave local
#  machines, but you want to delicer local mail imediately...
# 
# you must send non-canonicalized mail to a smart host. so be sure to have a
# line like
#   `define(`SMART_HOST',mail.my.isp.com)'
# for your gateway or
#   `define(`SMART_HOST',mailgateway.my.domain.name)'
# for your local machines in your mc
#  
# before you call this, you should
#   `define(`NOSMART_NAME',first_domain)dnl'
# otherwise your domain is added to the class
# to add further domains, use the following
#   `NOSMART(next_domain)dnl'
# you may also use
#   `define(`NOSMART_FILE_NAME',/etc/sendmail.cNoSmart)dnl'
#

define(`NOSMART', `PUSHDIVERT(6)C{NoSmart}$1
POPDIVERT`'dnl`'')

define(`NOSMART_FILE', `PUSHDIVERT(6)F{NoSmart}$1
POPDIVERT`'dnl`'')

ifdef(`NOSMART_NAME',,`define(`NOSMART_NAME',`$m')')dnl
define(`_CANONIFY_LOCAL_',`')

divert(0)
VERSIONID(`@(#)canonifylocal.m4	1.0 (Bananajoe) 10/01/97')dnl
FEATURE(nocanonify)dnl

LOCAL_CONFIG
# domains being delivered local and not via smarthost
NOSMART(`NOSMART_NAME')
ifdef(`NOSMART_FILE_NAME',`NOSMART_FILE(`NOSMART_FILE_NAME')')

LOCAL_RULE_3
# pass to name server to make hostname canonical
# only pass lokal known things
R$* < @ $* .$={NoSmart}. > $*	$: $1 < @ $[ $2 $3 $] > $4
R$* < @ $* .$={NoSmart} > $*	$: $1 < @ $[ $2 $3 $] > $4
R$* < @ $={NoSmart}. > $*	$: $1 < @ $[ $2 $] > $3
R$* < @ $={NoSmart} > $*	$: $1 < @ $[ $2 $] > $3
R$* < @ $- > $*			$: $1 < @ $[ $2 $] > $3

LOCAL_NET_CONFIG
# this hack is instead of feature mailertable
# do not deliver local domain thru smarthost
R$* < @ $* .$={NoSmart}. > $*	$#smtp $@ $2.$3. $: $1 < @ $2.$3. > $4
R$* < @ $- > $*			$#smtp $@ $2 $: $1 < @ $2 > $3
