divert(-1)
#
# this  
#  - adds a mailer called smtpx marked as expensive
#    it reqs mailer smtp and uses all its rules
#  - rewrites header and envelope to an ispname, if this table is defined.
#    queued messages are rewritten on sending. They will appear with the
#    original sender in `mailq'
#
# I suggest, you do at least
#    `define(`confCON_EXPENSIVE',`True')'
#    `define(`SMART_HOST', smtpx:mail.my.isp.com)'
# I also recommend
#    `define(`NOSMART_NAME',`your.domain.name')'
#    `HACK(canonifylocal)'
# and
#    `HACK(ispnamestable, hash -o /etc/ispnamestable)'
#
# that is the (only) combination I tested. 
#
# the smtp Mailer keeps nonexpensive and delivers all mail to
# "your.domain.com"


ifdef(`_MAILER_smtp_',,
	`errprint(`*** HACK(smtpx) depends on MAILER(smtp)')')dnl

define(`_smtpx_',`')dnl

divert(0)
MAILER_DEFINITIONS
#####################################
###   SMTPX Mailer specification  ###
#####################################

VERSIONID(`@(#)smtpx.m4	8.23 (Berkeley) 5/31/96')

Msmtpx,		P=[IPC], F=CONCAT(mDFMuXe, SMTP_MAILER_FLAGS), S=16/36, R=ifdef(`_ALL_MASQUERADE_',`21/31', `21'), E=\r\n, L=990,
		_OPTINS(`SMTP_MAILER_MAX', `M=', `, ')_OPTINS(`SMTP_MAILER_CHARSET', `C=', `, ')T=DNS/RFC822/SMTP,
		A=SMTP_MAILER_ARGS

#
#  ispmasquerade sender rewriting
#  it is called by rule 16 and 36 
#
S56
R$+ <@ $+ >		$: < $(ispnames $1@$2:mailname $@ $1 $: $) > $1 <@ $2 > 
R< > $+ <@ $+ .>	$: < $(ispnames $1@$2:mailname $@ $1 $: $) > $1 <@ $2 .> 
R< > $+ <@ $=w .>	$: < $(ispnames $1:mailname $@ $1 $: $) > $1 <@ $2 .> 
# following line converts all user@any.hosts to ispnames if user is known
ifdef(`_ALL_LOCAL2ISP_', `', `#')dnl
R< > $+ <@ $+ >		$: < $(ispnames $1:mailname $@ $1 $: $) > $1 <@ $2>
R< $* @ $* > $* < $* >	$@ $>3 $1 @ $2 			found qualified
R< $+ > $* < $* >	$@ $>3 $1 @ *LOCAL*		found unqualified
R< > $+ 		$: $1				not found, cleanup

#
#  envelope sender rewriting
#
S16
R$+			$: $>11 $1			inherit smtp-rewriting
# following line rewrites the envelope-sender according to ispnametable
ifdef(`ISPNAMES_TABLE', `', `#')dnl
R$+			$: $>56 $1			do ispmasquerading

#
#  header sender and masquerading header recipient rewriting
#
S36
R$+			$: $>31 $1			inherit smtp-rewrinting
# following line rewrites the header-sender according to ispnametable
ifdef(`ISPNAMES_TABLE', `', `#')dnl
R$+			$: $>56 $1			do ispmasquerading

